org.apache.lucene.util.automaton

## Class Transition

- java.lang.Object
- - org.apache.lucene.util.automaton.Transition

-     public class Transition
      extends Object

  Holds one transition from an `Automaton`. This is typically used temporarily when iterating through transitions by invoking `Automaton.initTransition(int, org.apache.lucene.util.automaton.Transition)` and `Automaton.getNextTransition(org.apache.lucene.util.automaton.Transition)`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `dest` Destination state.
    `int` | `max` Maximum accepted label (inclusive).
    `int` | `min` Minimum accepted label (inclusive).
    `int` | `source` Source state.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transition()` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### source

          public int source

      Source state.

    - #### dest

          public int dest

      Destination state.

    - #### min

          public int min

      Minimum accepted label (inclusive).

    - #### max

          public int max

      Maximum accepted label (inclusive).

  - ### Constructor Detail

    - #### Transition

          public Transition()

      Sole constructor.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.